[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileCtrl' (#lcl)

# TCustomFileListBox.SetItemIndex

Sets the value for the ItemIndex property.

## Declaration

Source position: filectrl.pp line 66

`protected procedure TCustomFileListBox.SetItemIndex(`
`AIndex: Integer`
`); override;`

## Arguments

`AIndex` |  | New value for the property.

## Description

SetItemIndex is an overridden method in TCustomFileListBox. Calls the inherited method on entry. Calls UpdateSelectedFileName to set the new value for the FileName property.

## See also

TCustomFileListBox.FileName |  | FileName - the name of the selected file.
TCustomListBox.SetItemIndex |  | Sets the value for the ItemIndex property.
TCustomListBox.ItemIndex |  | Ordinal position for the currently selected item, -1 if none.